Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.acceptor.simulatedannealing
Class LegacySimulatedAnnealingAcceptor

    java.lang.Object
      org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
          org.drools.planner.core.localsearch.decider.acceptor.AbstractAcceptor
              org.drools.planner.core.localsearch.decider.acceptor.simulatedannealing.LegacySimulatedAnnealingAcceptor

All Implemented Interfaces:
  EventListener, Acceptor, LocalSearchSolverPhaseLifecycleListener

    public class LegacySimulatedAnnealingAcceptor

extends AbstractAcceptor

TODO this will be removed once the time gradient based `SimulatedAnnealingAcceptor` is always better.

Field Summary
`protected double` | `startingTemperature`
`protected double` | `temperature`
`protected double` | `temperatureSurvival`

Fields inherited from class org.drools.planner.core.localsearch.decider.acceptor.AbstractAcceptor
`logger`

Constructor Summary
`LegacySimulatedAnnealingAcceptor()`

Method Summary
`double` | `calculateAcceptChance(MoveScope moveScope)` TODO the use for an acceptChance between 0.0 and 1.0 is unproven.
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `setStartingTemperature(double startingTemperature)`
`void` | `setTemperatureSurvival(double temperatureSurvival)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
`beforeDeciding, phaseEnded, stepDecided`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListener
`beforeDeciding, phaseEnded, stepDecided`

Field Detail

### startingTemperature

    protected double startingTemperature

### temperatureSurvival

    protected double temperatureSurvival

### temperature

    protected double temperature

Constructor Detail

### LegacySimulatedAnnealingAcceptor

    public LegacySimulatedAnnealingAcceptor()

Method Detail

### setStartingTemperature

    public void setStartingTemperature(double startingTemperature)

### setTemperatureSurvival

    public void setTemperatureSurvival(double temperatureSurvival)

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### calculateAcceptChance

    public double calculateAcceptChance(MoveScope moveScope)

  Description copied from interface: `Acceptor`
  TODO the use for an acceptChance between 0.0 and 1.0 is unproven. A boolean instead of a double is sufficient?

  Parameters:
    `moveScope` - not null
  Returns:
    never negative; if rejected 0.0; if accepted higher than 0.0 (usually 1.0)

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `stepTaken` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.